> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs.md).

# Jobs

Jobs are the individual tasks in a delivery pipeline. Each job has a specific purpose based on its type. A pipeline can contain one or more jobs — see [Pipelines](/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines.md#add-job) for how to add one.

## Job types

### Build and Deploy

Builds your application and deploys it directly to your namespace. Use this for a streamlined flow from development to production.

See [Build and Deploy job configuration](/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration/build-and-deploy-or-build.md) for all available settings.

### Build

Builds a package without deploying it. Use this when you need packages for on-premise deployment or want full control over when and where deployment happens.

See [Build job configuration](/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration/build-and-deploy-or-build.md) for all available settings.

### Desktop

Produces NgDesktop installer binaries for Windows, macOS, and Linux. You can optionally enable public installer sharing to generate a download URL accessible without a Cloud Control Center account.

See [Desktop job configuration](/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration/desktop.md) for all available settings.

### Mobile

Produces app packages for iOS and Android. Use this to build installable binaries for mobile distribution.

See [Mobile job configuration](/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration/mobile.md) for all available settings.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
